Subject: Re: ls -p very slow
From: [email-masked] (Earnie Boyd)

5 Nov 1997 08:47:05 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Tue, 4 Nov 1997 22:16:00 -0800 (PST)
>From: Alex <[email-masked]>
>To: [email-masked]
>cc: Derek Young <[email-masked]>, [email-masked]
>Subject: Re: ls -p very slow
>
>
>
>On Tue, 4 Nov 1997, Chad Loder wrote:
>
>> Hmmm...I always thought shortcuts were those bloody *.LNK files which 
are
>> only valid from the GUI (they're just files, maybe with .INI 
syntax?). If so,
>> then I can't see how that would help. It's odd that MS didn't do 
symbolic
>> linking with NTFS. At least they have tab filename completion on NT's 
DOS box
>> though...
>
>Shortcuts are those bloody .lnk files, but not just available to the 
GUI
>proggies, but to all Win32 programs, afaik they don't have INI style
>syntax.  They do however have various API functions that would probably
>provide a [small] speedup.  I'm thinking that the stat functions (or
>whatever ls is using) would only check .lnk files for shortcuts, and if 
it
>_is_ a shortcut, then the .lnk is truncated within gnu-win32, and if 
it's
>not a shortcut then, it's treated as a regular file (with the .lnk
>extension).
>

Don't forget about the .pif files which are shortcuts to executables.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".